Bug 100257 - Data : XML Source does not work
Summary: Data : XML Source does not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords: bibisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2016-06-07 09:35 UTC by jmgigandet
Modified: 2016-08-29 11:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple XML test file (308 bytes, text/xml)
2016-06-07 09:35 UTC, jmgigandet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jmgigandet 2016-06-07 09:35:31 UTC
Created attachment 125537 [details]
Simple XML test file

The menu option : "Data -> XML Source" does not work anymore.
Even with a very simple XML file (example attached), after selecting the file and the node, import button remains disabled.
Tested on Windows 7 and OSX 10.11.5, with LO 5.1.2.2 and LO 5.1.3.2
Comment 1 raal 2016-06-07 14:33:48 UTC
I can confirm with Version: 5.3.0.0.alpha0+
Build ID: 2712fc0869e5ba3b7a1da41e0ce72431d3b0deee
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-06-02_22:41:55

Do you know last working version?
Comment 2 jmgigandet 2016-06-08 06:03:49 UTC
Don't know if it's the last working version, but it works on 5.0.6.3.
Comment 3 raal 2016-06-08 11:38:53 UTC
bibisected>
  source sha:977220881cfffefb49843f27d3ab68f2de555469
    source sha:c6c8af5ef46e2178e4b9abcd95f76c8df2db2732
    source sha:b957190edfc40e1fea99e4781c95aea0bd6fce5e
    source sha:9b421ef6dee41c33d1a82fc8a8ec6983f13fe2a7
    source sha:5d201bc4909698d276cc4764017b15faa9b5b7be
    source sha:8e2f4c7817320354903d9d2c52d59403f37e22b5
    source sha:2083761d19c91dc875a69f049f53fe91e421a9f0
    source sha:b701bd8cbd46644e28d0dbcae94d5098b72036d8
    source sha:6b5e4c1f548f459e2d81963efdd4eb661de1fe89
    source sha:f6ef7e33b034d4ee5fb85ae4b72d8d255fbed2b6
    source sha:1c482cb54b4dab4c5b549ecd2395104f042e4101
    source sha:5f8aaeae51b46c59090227d60f39f98ebf0ef767
    source sha:4235138c2f16d60b84c1a9c9465c9af0e2a137d6
    source sha:12d51ad73c68ffe238dc2c28f9abd6b679dffb34
    source sha:f54a384f5ac16e969e8ecbf2821b89e0173c7403
    source sha:343ec4b7234f4eb9709f09d453131100d3283ddc
    source sha:280553e30f4ddc932838f98a9efaac03a988a0df
    source sha:601fd58cc3a4ce3a13bc0dad1cc16f0a841aa765
    source sha:e5e2f119eff6f57ad7abc70efd4986f8f8b3fc00
    source sha:f3ba19b37f212a5839a91223f77d501d79e2c4b5
    source sha:c2defd97cb60439fc25970c903e66fbecad148e5
    source sha:75aaa65a8f0f145657098278c3a7a3973b2c29df
    source sha:a029ab3d480c97313dc88dc6e1fbc0f3a900fb09
    source sha:2aacf6c2cd82322b953988ff30d3bc997ae76d7b
    source sha:ab3d557b48cacb30598c6b5ebb1cadece493fde8
    source sha:1740d0b2bec4c899af825739a8ca996785b5b525
    source sha:0f611e670a36d22c66d91ee309eccac1ea65e0e9
    source sha:9265f9bd35ff6ef0e4ab285dd9fecebce6976e8d
    source sha:83a58be116762abeab4ec3a90b8aafa076484b4a
    source sha:16877ccbd2dc227ab25f19914b9d453a082e405b
    source sha:33bf2449730c796a41a25f9287aa40e51c2bc464
    source sha:6618e503b3f6acf282c0c97150f591e643f8db8b
    source sha:6f6668c1f28ddb42b940c56f7fa24c37fd2e1850
    source sha:438a3f77e3814f90e2e3727e6d482d66e3259d36
    source sha:b3206e487403ab0da089010b8a56fa6b5d9edd56

	
Noel, most of commits are your changes. Could it made this regression? Thanks 	Noel Grandin <noel@peralex.com>
Comment 4 Noel Grandin 2016-06-09 11:50:50 UTC
tracked this down to 
   280553e30f4ddc932838f98a9efaac03a988a0df 
should have a fix soon
Comment 5 Commit Notification 2016-06-09 15:00:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6a6f587a852ba5c993c658b6b6432a65207f5b7

tdf#100257 - Data : XML Source does not work

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-10 11:50:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=895468d7388ee17ba33804f19bad52933312ae5d&h=libreoffice-5-2

tdf#100257 - Data : XML Source does not work

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-10 12:37:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49b2548231a4eaf3f1304d15b0bb3f050ac99b49&h=libreoffice-5-1

tdf#100257 - Data : XML Source does not work

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-10 13:31:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=237032205be4abb7cc7feda3ab642b4abfd5486a&h=libreoffice-5-1-4

tdf#100257 - Data : XML Source does not work

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 jmgigandet 2016-06-10 13:40:36 UTC
5.1.4 ?
Great ! I'll test the daily build as soon as possible.